const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = {
    entry: {
        app: './src/app.ts',
    },
    resolve: {
        extensions: [ '.tsx', '.ts', '.js'],
    },
    module: {
        rules: [
            {
                test: /\.tsx?$/,
                use: 'ts-loader',
                include: [ path.resolve( __dirname, 'src' ) ],
                exclude: /node_modules/
            },
        ]
    },
    output: {
        publicPath: '',
        filename: '[name].js',
        path: path.resolve( __dirname, 'dist' )
    },
    plugins: [
        new HtmlWebpackPlugin({
            projectName: 'Test',
            filename: 'index.html',
            template: path.resolve( __dirname, 'src/index.html' )
        })
    ]
}